/*
### reset parameters associated with main panel items to typed in values ###
*/

#include <suntool/sunview.h>
#include <suntool/panel.h>

main_reset()
{
	int i;
	extern short main_panel_show,options_panel_show,system_info_panel_show,window_size_panel_show,save_load_panel_show,section_panel_show;
	extern int param_dim,var_dim;
	extern int var_dim,func_dim,param_dim,full_dim;
	extern int mapping_on,i_start,i_max,i_step, n_poincare,cur_color;
	extern int var_cur_index[],param_cur_index[];
	extern int n_stored_data0,n_stored_data1;
	extern double *param,*win_var_i,*all_min,*all_max;
	extern double time_step,average_return_time,*func_i,*func_f;
	extern double colorcode_min,colorcode_max,section_constant;
	extern char string[],dir_name[],file_name[];
	extern Panel_item *param_item,*var_i_item,*all_min_item,*all_max_item;
	extern Panel_item time_step_item,average_return_time_item,*func_i_item,*func_f_item;
	extern Panel_item i_start_item,i_max_item,i_step_item,n_poincare_item;
	extern Panel_item colorcode_min_item,colorcode_max_item,cur_color_item,n_stored_data0_item,n_stored_data1_item,section_constant_item;
	extern Panel_item file_name_item,dir_name_item;

	if(main_panel_show){
		for (i = 0; i < param_dim; i++) {
			strcpy(string, (char *) panel_get_value(param_item[i]));
			sscanf(string, "%lg", &param[i]);
		}
		for (i = 0; i < var_dim; i++) {
			strcpy(string, (char *) panel_get_value(var_i_item[i]));
			sscanf(string, "%lg", &win_var_i[i]);
		}
		strcpy(string, (char *) panel_get_value(i_start_item));
		sscanf(string, "%d", &i_start);
		strcpy(string, (char *) panel_get_value(i_max_item));
		sscanf(string, "%d", &i_max);
		strcpy(string, (char *) panel_get_value(i_step_item));
		sscanf(string, "%d", &i_step);
		if(!mapping_on){
			strcpy(string, (char *) panel_get_value(time_step_item));
			sscanf(string, "%lg", &time_step);
		}
	}

	if(window_size_panel_show){
		strcpy(string, (char *) panel_get_value(n_stored_data0_item));
		sscanf(string, "%d", &n_stored_data0);
		strcpy(string, (char *) panel_get_value(n_stored_data1_item));
		sscanf(string, "%d", &n_stored_data1);

		for (i = 0; i < full_dim+param_dim; i++) {
			strcpy(string, (char *) panel_get_value(all_min_item[i]));
			sscanf(string, "%lg", &all_min[i]);
			strcpy(string, (char *) panel_get_value(all_max_item[i]));
			sscanf(string, "%lg", &all_max[i]);
		}
	}

	/* Reset regardless of func_on - Maybe need fixing as with refresh() */
	if(system_info_panel_show){
		for(i=0;i<func_dim;i++){
			strcpy(string, (char *) panel_get_value(func_i_item[i]));
			sscanf(string, "%lg", &func_i[i]);
			strcpy(string, (char *) panel_get_value(func_f_item[i]));
			sscanf(string, "%lg", &func_f[i]);
		}
	}

	if(options_panel_show){
		strcpy(string, (char *) panel_get_value(colorcode_min_item));
		sscanf(string, "%lg", &colorcode_min);
		strcpy(string, (char *) panel_get_value(colorcode_max_item));
		sscanf(string, "%lg", &colorcode_max);
		strcpy(string, (char *) panel_get_value(cur_color_item));
		sscanf(string, "%d", &cur_color);
	}

	if(save_load_panel_show){
		strcpy(file_name, (char *) panel_get_value(file_name_item));
		strcpy(dir_name, (char *) panel_get_value(dir_name_item));
	}

	if(section_panel_show){
		strcpy(string, (char *) panel_get_value(section_constant_item));
		sscanf(string, "%lg", &section_constant);
		strcpy(string, (char *) panel_get_value(n_poincare_item));
		sscanf(string, "%d", &n_poincare);
	}
}
